[Backgroundrb-devel] Problem with packet while running BackgroundRb

hemant gethemant at gmail.com
Fri Mar 6 05:02:31 EST 2009


Well packet 0.1.5 is VERY old and so is anything you try with that may
not work. Your best bet is to try packet 0.1.14 and bakcgroundrb from
git master.

Try that and let us know if it still doesn't work.


On Thu, Mar 5, 2009 at 4:38 PM, Bousmanne Cédric <akyrho at gmail.com> wrote:
> Hi everyone,
>
> I still get into trouble to run Backgroundrb. I got this error while running
> script/backgroundrb start :
>
> no such file to load -- packet_worker_runner (LoadError)
>
> I found a blog post [1] who suggest to rollback to packet 0.1.5 and retry, i
> did, but got this error, this time while backgroundrb runs a process :
>
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:445:in
> `load_missing_constant': uninitialized constant Packet::BinParser
> (NameError)
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/activesupport-2.2.2/lib/active_support/dependencies.rb:77:in
> `const_missing'
>        from
> /home/antz/declix.com/production/vendor/plugins/backgroundrb/server/lib/master_worker.rb:165:in
> `post_init'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_connection.rb:21:in
> `invoke_init'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:302:in
> `decorate_handler'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:76:in
> `accept_connection'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:202:in
> `handle_external_messages'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:178:in
> `handle_read_event'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:174:in
> `each'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:174:in
> `handle_read_event'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:130:in
> `start_reactor'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:124:in
> `loop'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_core.rb:124:in
> `start_reactor'
>        from
> /opt/ruby-enterprise-1.8.6-20090201/lib/ruby/gems/1.8/gems/packet-0.1.5/lib/packet/packet_master.rb:21:in
> `run'
>        from
> /home/antz/site.com/production/vendor/plugins/backgroundrb/server/lib/master_proxy.rb:14:in
> `initialize'
>        from
> /home/antz/site.com/production/vendor/plugins/backgroundrb/lib/backgroundrb/bdrb_start_stop.rb:50:in
> `new'
>        from
> /home/antz/site.com/production/vendor/plugins/backgroundrb/lib/backgroundrb/bdrb_start_stop.rb:50:in
> `start'
>        from script/backgroundrb:35
>
> I read almost everything i could about those problems, and i tried many
> times to remove/reinstall backgroundrb, with both version 0.1.5 and 0.1.14
> of packet, without any success...
>
> Can anyone help me?
>
> note : I am running rails v 2.2.2 with the latest svn version of
> backgroundrb
>
> [1]
> http://mayurjain.wordpress.com/2008/08/08/no-such-file-to-load-log_worker/
> _______________________________________________
> Backgroundrb-devel mailing list
> Backgroundrb-devel at rubyforge.org
> http://rubyforge.org/mailman/listinfo/backgroundrb-devel
>



-- 
Let them talk of their oriental summer climes of everlasting
conservatories; give me the privilege of making my own summer with my
own coals.

http://gnufied.org


More information about the Backgroundrb-devel mailing list